# norootforbuild

%if %suse_version < 1030
%define _prefix	  /opt/gnome
%define _sysconfdir /etc/opt/gnome
%endif

Name:			gnome-btdownload
Version:		0.0.32
Release:		1.10
Summary:		Simple BitTorrent Client designed to integrate with the GNOME Desktop
# http://prdownloads.sourceforge.net/gnome-bt/gnome-btdownload-%{version}.tar.gz
Source:			gnome-btdownload-%{version}.tar.bz2
Patch1:         gnome-btdownload-fix_desktop_mimetype.patch
URL:			http://gnome-bt.sourceforge.net/
Group:		    Productivity/Networking/Other
License:		BSD and GPL v2
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	python-devel make gconf2-devel
BuildRequires:	perl-XML-Parser gettext gettext-devel intltool
BuildRequires:	autoconf automake libtool update-desktop-files
Requires:		BitTorrent
Requires:		python-notify
%if %suse_version < 1120
%define python_sitelib %py_sitedir
%else
BuildArch:      noarch
%endif
%py_requires
%gconf_schemas_prereq

%description
A simple "mime-sink" BitTorrent client designed to integrate with the GNOME
desktop. Currently just a GUI on top of the official BitTorrent Python
backend.




Authors:
--------
    Paul Varga <null_and_void@users.sourceforge.net>


%prep
%setup -q
%patch1

%build
%configure --disable-schemas-install
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%if %suse_version < 1030
%__install -d "%{buildroot}%{py_sitedir}"
%__mv "%{buildroot}%{_libdir}"/python*/site-packages/* "%{buildroot}%{py_sitedir}/"
%__rm -rf "%{buildroot}%{_libdir}"/python*
%endif

%suse_update_desktop_file -r gnome-btdownload Network FileTransfer

%find_lang gnome-btdownload

%find_gconf_schemas 

cat "gnome-btdownload.lang" "gnome-btdownload.schemas_list" > "%{name}.lst"

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%post
test -x /usr/bin/update-mime-database && \
  /usr/bin/update-mime-database "%{_datadir}/mime" >/dev/null || :

test -x %{_bindir}/update-desktop-database && \
  %{_bindir}/update-desktop-database "%{_datadir}/applications" >/dev/null || :

%postun
test -x /usr/bin/update-mime-database && \
  /usr/bin/update-mime-database "%{_datadir}/mime" >/dev/null || :

test -x %{_bindir}/update-desktop-database && \
  %{_bindir}/update-desktop-database "%{_datadir}/applications" >/dev/null || :

%clean
%__rm -rf "%{buildroot}"

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS BSD ChangeLog COPYING GPL-2 README UPDATE
%{_bindir}/gnome-btdownload
%dir %{_datadir}/application-registry
%{_datadir}/application-registry/gnome-btdownload.applications
%{_datadir}/applications/gnome-btdownload.desktop
%{_datadir}/gnome-btdownload
%dir %{_datadir}/mime-info
%{_datadir}/mime-info/gnome-btdownload.keys
%{_datadir}/mime-info/gnome-btdownload.mime
%{python_sitelib}/gnomebtdownload
%doc %{_mandir}/man1/gnome-btdownload.1*

%changelog
* Wed Nov 18 2009 pascal.bleser@opensuse.org
- refactored to use the gconf macros and the new python packaging guidelines
* Fri Apr 25 2008 guru@unixtech.be
- new upstream version
* Fri Dec 28 2007 guru@unixtech.be
- new package
